#ifndef SCD_IPCS_H
#define SCD_IPCS_H
/*
 * Copyright 1996-2003 netFluid Technology Ltd
 *
 * Goldwater is written and maintained by netFluid Technology Ltd.
 * http://www.nfluid.co.uk
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA
 *
 *
 * $Revision: 1.6 $  $Date: 2003/04/12 17:32:27 $
 *
 * ----------------------------------------------------------------------------
 */
#include <sys/types.h>

#include <stdio.h>
#include <stdlib.h>
#include <string.h>
#include <unistd.h>

#if defined(__FreeBSD__)
# define _KERNEL
# include <err.h>
# include <fcntl.h>
# include <kvm.h>
# include <nlist.h>
# include <paths.h>
# include <sys/param.h>
# include <sys/time.h>
# include <sys/proc.h>
#endif

#include <sys/ipc.h>
#include <sys/sem.h>
#include <sys/shm.h>
#include <sys/msg.h>

typedef struct {
  long msgmax;
	long msgmni;
	long msgmnb;
	long msgtql;
	long msgssz;
	long msgseg;
} MSGQueueInfo;

int __gw_msginfo( int qid, struct msginfo **mi ); 

#endif
