/*
 * Goldwater Distributed Web Architecture.
 *
 * System Resources Support
 *
 * Copyright 1996-2002 netFluid Technilogy Limited
 *
 * THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF NETFLUID TECHNOLOGY LIMITED
 *
 * The copyright notice above does not evidence any actual or intended 
 * publication of such source code.    
 *
 * $Revision: 1.2 $ $Id: gwsystem.c,v 1.2 2003/03/29 12:21:11 csmith Exp $
 *
 * ---------------------------------------------------------------------------
 */

#include "gwconfig.h"
#include "gwsystem.h"

/* ------------------------------------------------------------------------- */

long
gwsys_num_cpus() 
{
	long cpus = 1; /* Of course, default to 1! */

#if defined(HAVE_SYSCONF) && defined(_SC_NPROCESSORS_ONLN)
	if( (cpus = sysconf(_SC_NPROCESSORS_ONLN)) < 1 ) cpus = 1;
#endif

	return cpus;
}

/* ------------------------------------------------------------------------- */
/* end */
